#include <bits/stdc++.h>
  
#define int long long
  
using namespace std;
 
main() {
    ios_base::sync_with_stdio(0), cin.tie(0), cout.tie(0);
	int n, m, k;
	cin >> n >> m >> k;
	cout << ((n + k - 1) / k) * ((m + k - 1) / k);
}
